Searches Product Types by parameters
Searches Product Types by parameters
Query Parameters
Modified since
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Types data
ProductType.PagingResponse
Product Type Model
Show Child Parameters
Query Parameters
Headers
Creates new Product Type entity in the system
Sample request:
POST /producttypes
{
"name": "ProductTypeName"
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Type model
EmptyExample
Response
application/json
Response
New Product Type was created
ProductType
Product Type Model
Product type Id.
Product type description (Name)
Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
>= 0 characters<= 50 characters
Modified on
Headers
Body
Gets specific Product Type by unique id
Gets specific Product Type by unique id
Path Parameters
Product Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Type
ProductType
Product Type Model
Product type Id.
Product type description (Name)
Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
>= 0 characters<= 50 characters
Modified on
Path Parameters
Headers
purchaseorderreceipts
Creates Purchase Order Receipt
Sample request:
POST /purchaseorderreceipts
{
"purchase_order_id": 1,
"purchase_order_receipt_items": [
{
"purchase_order_item_id": 3,
"stock_receipt_id": 1,
"quantity_received": 3,
"quantity_faulty": 1,
"quantity_invoiced": 1,
"buy_price_ex": 1.1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"bin": "bin",
"include_tax": true,
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"notes": "notes",
"supplier_invoice_number": "sample invoice number"
}]
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Purchase Order Receipt
EmptyExample
Response
application/json
Response
Purchase Order Receipt created
PurchaseOrderReceipts
Purchase order receipts model
Purchase order receipts identifier
Purchase order identifier
Purchase order receipt item
Show Child Parameters
Purchase order receipt supplier invoices
Show Child Parameters
Supplier invoice number (max length = 50)
Allowed values:AvailableIn ProgressFinalised
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made available on
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Total products received
Total quantity received
Total quantity expected
Total quantity faulty
Total quantity received variance
Total quantity invoiced
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc